<?php

/**
 * Test der Klasse {@link DataRelation}
 *
 * @package phpDataSet
 * @author Susanne Mckl <RezsiaDione@web.de>;
 * @since 07.06.2004
 */
 
/**
 * Die hier zu testende Klasse {@link DataRelation}
 */
	include 'DataRelation.php'; 
 	include 'DataSet.php';
	include 'DataColumn.php';
	include 'DataTable.php';
	
	$DataT =& new DataTable("Table_Test");
	$ColumnParent1 =& new DataColumn($DataT, "Parent1");
	$ColumnParent2 =& new DataColumn($DataT, "Parent2");
	$ColumnParent3 =& new DataColumn($DataT, "Parent3");
	$ColumnParent4 =& new DataColumn($DataT, "Parent4");
	$Parents = array($ColumnParent1, $ColumnParent2, $ColumnParent3, $ColumnParent4);
 	$ColumnChild1 =& new DataColumn($DataT, "Child1");
	$ColumnChild2 =& new DataColumn($DataT, "Child2");
	$ColumnChild3 =& new DataColumn($DataT, "Child3");
	$ColumnChild4 =& new DataColumn($DataT, "Child4");
	$Childs = array($ColumnChild1, $ColumnChild2, $ColumnChild3, $ColumnChild4);
	
	$Relation =& new DataRelation($ColumnParent1, $ColumnChild1, "Relation_Test");
	
	echo "RelationName<br>\n";
	$strName = $Relation->RelationName();
	echo "$strName<br>\n";
	
	$Relation->RelationName("NeuerName");
	$strName = $Relation->RelationName();	
	echo "$strName<br>\n";
	
	echo "\nGetParentColumns\n";
	$Parents =& $Relation->getParentColumns();
	if(is_array($Parents))
	{
		foreach($Parents as $ParentColumn)
		{
			$strName = $ParentColumn->ColumnName(); 
			echo "$strName\n";
		}
	}
	else
	{
		$strName = $Parents->ColumnName(); 
		echo "$strName\n";
	}
	
	echo "\nGetParentTable\n";
	$Parent =& $Relation->getParentTable();
	//if(is_array($Parent))
	//{
	//	foreach($Parent as $Table)
	//	{
	//		$strName = $Table->tableName(); 
	//		echo "$strName\n";
	//	}
	//}
	//else
	//{
		$strName = $Parent->tableName(); 
		echo "$strName\n";
	//}
	
	
	echo "\nGetChildColumns\n";
	$Childs =& $Relation->getChildColumns();
	if(is_array($Childs))
	{
		foreach($Childs as $ChildColumn)
		{
			$strName = $ChildColumn->ColumnName(); 
			echo "$strName\n";
		}
	}
	else
	{
		$strName = $Childs->ColumnName(); 
		echo "$strName\n";
	}
	
	echo "\nGetChildTable\n";
	$Child =& $Relation->getChildTable();
	//if(is_array($Child))
	//{
	//	foreach($Child as $Table)
	//	{
	//		$strName = $Table->tableName(); 
	//		echo "$strName\n";
	//	}
	//}
	//else
	//{
		$strName = $Child->tableName(); 
		echo "$strName\n";
	//}
	
	//echo "\nDataSet\n";
	//$dataSet =& new DataSet();
	//$strName = $dataSet->dataSetName();
	//echo "$strName\n";
	//$DataSet =& $Relation->DataSet($dataSet);
	//$strName = $DataSet->dataSetName();
	
	echo "\nMemberWiseClone<br>\n";
	$Clone = $Relation->MemberwiseClone();
	$Name = $Clone->RelationName();
	echo "$Name<br>\n";
	
	echo "Equals<br>\n";
	$Equal = $Relation->Equals($Clone);
	echo "$Equal<br>\n";
	
	
	
	
		 
?> 
