<?php

/**
 * Test der Klasse {@link DataColumn}
 *
 * @package phpDataSet
 * @author Susanne Mckl <RezsiaDione@web.de>;
 * @since 23.05.2004
 */

/**
 * Die hier zu testende Klasse {@link DataColumn}
 */
	include 'DataColumn.php';
	include 'DataTable.php';
	
	$DataT =& new DataTable("Table_Test");
	$Column =& new DataColumn($DataT, "Test");

	echo "ColumnName<br>\n";
	$strName = $Column->ColumnName();
	echo "$strName<br>\n";
	
	$Column->ColumnName("NeuerName");
	$strName = $Column->ColumnName();	
	echo "$strName<br>\n";

    	echo "Caption<br>\n";
	$strCaption = $Column->Caption();
	echo "$strCaption<br>\n";
	
	$Column->Caption("NeueUeberschrift");
	$strCaption = $Column->Caption();	
	echo "$strCaption<br>\n";
	
	echo "DefaultValue<br>\n";
	$strDefaultValue = $Column->DefaultValue();
	echo "$strDefaultValue<br>\n";
	
	$Column->DefaultValue("NeueDefaultValue");
	$strDefaultValue = $Column->DefaultValue();	
	echo "$strDefaultValue<br>\n";
	
	echo "MaxLength<br>\n";
	$intMaxLength = $Column->MaxLength();
	echo "$intMaxLength<br>\n";
	
	$Column->MaxLength(5);
	$intMaxLength = $Column->MaxLength();	
	echo "$intMaxLength<br>\n";
	
	echo "ReadOnly<br>\n";
	$bReadOnly = $Column->ReadOnly();
	echo "$bReadOnly<br>\n";

	$Column->ReadOnly(true);
	$bReadOnly = $Column->ReadOnly();
	echo "$bReadOnly<br>\n";
	
	echo "DataTable<br>\n";
	$DataTable =& $Column->DataTable();
	$strTableName = $DataTable->tableName();
	echo "$strTableName<br>\n";
	
	echo "Unique<br>\n";
	$bUnique = $Column->Unique();
	echo "$bUnique<br>\n";

	$Column->Unique(true);
	$bUnique = $Column->Unique();
	echo "$bUnique<br>\n";
	
	echo "AllowDBNull<br>\n";
	$bAllowDBNull = $Column->AllowDBNull();
	echo "$bAllowDBNull<br>\n";

	$Column->AllowDBNull(false);
	$bAllowDBNull = $Column->AllowDBNull();
	echo "$bAllowDBNull<br>\n";
	
	echo "AutoInkrement<br>\n";
	$bAutoInkrement = $Column->AutoInkrement();
	echo "$bAutoInkrement<br>\n";

	$Column->AutoInkrement(true);
	$bAutoInkrement = $Column->AutoInkrement();
	echo "$bAutoInkrement<br>\n";
	
	echo "AutoInkrementStep<br>\n";
	$intAutoInkrementStep = $Column->AutoInkrementStep();
	echo "$intAutoInkrementStep<br>\n";

	$Column->AutoInkrementStep(10);
	$intAutoInkrementStep = $Column->AutoInkrementStep();
	echo "$intAutoInkrementStep<br>\n";
	
	echo "AutoInkrementSeed<br>\n";
	$intAutoInkrementSeed = $Column->AutoInkrementSeed();
	echo "$intAutoInkrementSeed<br>\n";

	$Column->AutoInkrementSeed(10);
	$intAutoInkrementSeed = $Column->AutoInkrementSeed();
	echo "$intAutoInkrementSeed<br>\n";
	
	echo "MemberWiseClone<br>\n";
	$Clone = $Column->MemberwiseClone();
	$Caption = $Clone->Caption();
	echo "$Caption<br>\n";
	
	echo "Equals<br>\n";
	$Equal = $Column->Equals($Clone);
	echo "$Equal<br>\n";
	
?>
